Summary:       Build tool for OCaml libraries and programs
Name:          ocaml-ocamlbuild
Version:       0.14.3
Release:       3%{?dist}
License:       LGPLv2 with exceptions
URL:           https://github.com/ocaml/ocamlbuild
Source0:       https://github.com/ocaml/ocamlbuild/archive/%{version}.tar.gz

BuildRequires: make ocaml >= 4.04.0


%description
OCamlbuild is a build tool for building OCaml libraries and programs.


%package devel
Summary:       Development files for %{name}
Requires:      %{name} = %{version}-%{release}


%description devel
This package contains development files for %{name}.


%package doc
Summary:       Documentation for %{name}
Requires:      %{name} = %{version}-%{release}


%description doc
This package contains the manual for %{name}.


%prep
%autosetup -n ocamlbuild-%{version}


%build
make configure \
  OCAMLBUILD_PREFIX=%{_prefix} \
  OCAMLBUILD_BINDIR=%{_bindir} \
  OCAMLBUILD_LIBDIR=%{_libdir}/ocaml \
  OCAMLBUILD_MANDIR=%{_mandir} \
  OCAML_NATIVE=true \
  OCAML_NATIVE_TOOLS=true

make \
     OCAMLC="ocamlc.opt -g" \
     OCAMLOPT="ocamlopt.opt -g"


%install
make install \
     DESTDIR=%{buildroot} \
     CHECK_IF_PREINSTALLED=false

pushd %{buildroot}/usr/bin
ln -sf ocamlbuild.native ocamlbuild
popd

%files
%license LICENSE
%doc Changes Readme.md VERSION
%{_bindir}/ocamlbuild
%{_bindir}/ocamlbuild.byte
%{_libdir}/ocaml/ocamlbuild
%{_bindir}/ocamlbuild.native
%exclude %{_libdir}/ocaml/ocamlbuild/*.a
%exclude %{_libdir}/ocaml/ocamlbuild/*.o
%exclude %{_libdir}/ocaml/ocamlbuild/*.cmx
%exclude %{_libdir}/ocaml/ocamlbuild/*.cmxa
%exclude %{_libdir}/ocaml/ocamlbuild/*.mli
%{_mandir}/man1/ocamlbuild.1*


%files devel
%license LICENSE
%{_libdir}/ocaml/ocamlbuild/*.a
%{_libdir}/ocaml/ocamlbuild/*.o
%{_libdir}/ocaml/ocamlbuild/*.cmx
%{_libdir}/ocaml/ocamlbuild/*.cmxa
%{_libdir}/ocaml/ocamlbuild/*.mli


%files doc
%license LICENSE
%doc manual/*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.3-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.3-2
- Rebuilt for loongarch release

* Thu Jun 20 2024 Huang Yang <huangyang@loongson.cn> - 0.14.3-1
- [Type] other
- [DESC] upgrade to 0.14.3

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 10 2023 Shuo Wang <abushwang@tencent.com> 0.14.2-2
- keep META

* Mon Aug 07 2023 cunshunxia <cunshunxia@tencent.com> - 0.14.2-1
- upgrade to 0.14.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.0-3
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 31 2023 cunshunxia <cunshunxia@tencent.com> - 0.14.0-2
- remove unused macros.

* Mon Mar 20 2023 cunshunxia <cunshunxia@tencent.com> - 0.14.0-1
- initial build
